﻿Imports C1.WPF.TileView

Class MainWindow

    Dim item As C1.WPF.TileView.C1TileViewItem

    Private Sub tileview_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        If e.Source.[GetType]() = GetType(C1TileViewItem) Then
            'Get the respective TileViewItem
            item = TryCast(DirectCast(e.Source, C1.WPF.C1HeaderedContentControl), C1TileViewItem)
            item.Focus()
        End If
    End Sub

    Private Sub tileview_PreviewKeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.KeyEventArgs)
        If e.Key = Key.Delete Then
            'Remove the Item on the press of 'Delete' Key
            tileview.Items.Remove(item)
        End If
    End Sub

    Private Sub Delete_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        If DirectCast(e.Source, System.Windows.Controls.Primitives.ButtonBase).Parent.[GetType]() = GetType(C1TileViewItem) Then
            'Get the respective TileViewItem
            item = TryCast(DirectCast(e.Source, System.Windows.Controls.Primitives.ButtonBase).Parent, C1TileViewItem)
            tileview.Items.Remove(item)
        End If
    End Sub
End Class
